3


2

Ubuntu 9.04サーバーにRails 2.3.2とRails 2.3.4を同時にインストールする必要があります。 これをどうやってやるの?

実行すると:

sudo gemインストールレール

…​it installs version 2.3.4. Is there a single command I can use to また、2.3.2をデフォルト(最新)バージョンと並行してインストールしますか?

ありがとうございます。

2 Answer


17


gemに-vオプションを使用します。

sudo gem install rails -v = 2.3.2

あなたは2.3.4のために別にインストールをしなければならないでしょう


1


インストールが完了したら、environment.rbファイルを編集して、特定のRailアプリに使用するバージョンを指定できます。

config / environment.rb

#ベンダー/レールが存在しない場合に使用するRailsのgemバージョンを指定します。定義されていない限り、RAILS_GEM_VERSION = '2.3.4'になります。 RAILS_GEM_VERSION